cascading.tuple.io

## Interface TupleOutputStream.ElementWriter

- Enclosing class:
    TupleOutputStream

      public static interface TupleOutputStream.ElementWriter

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `void` | `write(java.io.DataOutputStream outputStream, java.lang.Class<?> type, java.lang.Object object)`
    `void` | `write(java.io.DataOutputStream outputStream, java.lang.Object object)`

- - ### Method Detail

    - #### write

          void write(java.io.DataOutputStream outputStream,
                   java.lang.Object object)
                     throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### write

          void write(java.io.DataOutputStream outputStream,
                   java.lang.Class<?> type,
                   java.lang.Object object)
                     throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### close

          void close()

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.